Package owl.run.modules

## Class Transformers

- java.lang.Object
- - owl.run.modules.Transformers

-     public final class Transformers
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Transformers.SimpleTransformer` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Transformer` | `LTL_SIMPLIFIER` |
    `static Transformer` | `MINIMIZER` |
    `static Transformer` | `RABIN_DEGENERALIZATION` |
    `static Transformer` | `RABIN_TO_PARITY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<Transformer.Instance>` | `build​(List<Transformer> transformers, Environment env)` |
    `static <K,​V> Transformer` | `fromFunction​(Class<K> inputClass, Function<K,​V> function)` |
    `static Transformer` | `fromWriter​(OutputWriter writer)` | Creates a `transformer` from a `writer` by redirecting the output to the `meta writer`.
    `static <K,​V> Transformer.Instance` | `instanceFromFunction​(Class<K> inputClass, Function<K,​V> function)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LTL_SIMPLIFIER

          public static final Transformer LTL_SIMPLIFIER

    - #### MINIMIZER

          public static final Transformer MINIMIZER

    - #### RABIN_DEGENERALIZATION

          public static final Transformer RABIN_DEGENERALIZATION

    - #### RABIN_TO_PARITY

          public static final Transformer RABIN_TO_PARITY

  - ### Method Detail

    - #### fromFunction

          public static <K,​V> Transformer fromFunction​(Class<K> inputClass,
                                                             Function<K,​V> function)

    - #### instanceFromFunction

          public static <K,​V> Transformer.Instance instanceFromFunction​(Class<K> inputClass,
                                                                              Function<K,​V> function)

    - #### fromWriter

          public static Transformer fromWriter​(OutputWriter writer)

      Creates a `transformer` from a `writer` by redirecting the output to the `meta writer`.

    - #### build

          public static List<Transformer.Instance> build​(List<Transformer> transformers,
                                                         Environment env)